ExponentialJump1dMesher Class Reference

`#include <ql/methods/finitedifferences/meshers/exponentialjump1dmesher.hpp>`

Inherits Fdm1dMesher.

## Public Member Functions

| ExponentialJump1dMesher (Size steps, Real beta, Real jumpIntensity, Real eta, Real eps=1e-3)
Real | jumpSizeDensity (Real x) const
Real | jumpSizeDensity (Real x, Time t) const
Real | jumpSizeDistribution (Real x) const
Real | jumpSizeDistribution (Real x, Time t) const

## Detailed Description

Mesher for a exponential jump process with high mean reversion rate and low jump intensity

\[ \begin{array}{rcl} dY_t &=& -\beta Y_{t-}dt + J_tdN_t \\ \omega(J)&=&\frac{1}{\eta_u}e^{-\frac{1}{\eta_u}J} \end{array} \]

References: B. Hambly, S. Howison, T. Kluge, Modelling spikes and pricing swing options in electricity markets, http://people.maths.ox.ac.uk/hambly/PDF/Papers/elec.pdf